# TdApi.SetUsername (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SetUsername

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetUsername

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetUsername

Enclosing class:
  TdApi

public static final class TdApi.SetUsername extends TdApi.Function<TdApi.Ok>
Changes the editable username of the current user. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`username`
The new value of the username.

## Constructor Summary

Constructors
Constructor
Description
`SetUsername()`
Changes the editable username of the current user.
`SetUsername(DataInput input)`
Changes the editable username of the current user.
`SetUsername(String username)`
Changes the editable username of the current user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### username

public String username
The new value of the username. Use an empty string to remove the username. The username can't be completely removed if there is another active or disabled username.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetUsername

public SetUsername()
Changes the editable username of the current user. Returns `Ok`

### SetUsername

public SetUsername(String username)
Changes the editable username of the current user. Returns `Ok`

Parameters:
  `username` - String The new value of the username. Use an empty string to remove the username. The username can't be completely removed if there is another active or disabled username.

### SetUsername

public SetUsername(DataInput input) throws IOException
Changes the editable username of the current user. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`